/*
 Theme Name:   Sparkling Child Theme
 Description:  A child theme of the Sparkling WordPress theme
 Author:       Lucas Andrich
 Template:     sparkling
 Version:      1.0.0
*/

@import url("../sparkling/style.css");
@import url("mobile-menu.css");

/* custom CSS */
/* -------------------------------- */

body {
	background-color: #fff;
	font-size: 18px;
}

h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6{
	color:#e90a8a;
}

/* GUSTIN QUON CUSTOM */

.departmentBanner{
	background-size:cover!important;
	min-height:200px;
	width:100%;
	max-height:300px;
}

/* GUSTIN QUON CUSTOM END */

/* Emma Form Styling */

#footer-area ul li{
	border-bottom:none;
}
ul#emma-form-elements{
	display:flex;
	margin:auto!important;
}
ul#emma-form-elements .emma-form-label{
	display:none;
}
ul#emma-form-elements li.emma-form-row {
	margin:0px auto!important;
}
#emma-form input[type="submit"], #emma-form a#emma-form-submit {
	font-size: 24px;
	font-weight: bold;
	
	color: #fff !important;
	background: 0 0;
	background-color: #000;
	
	padding: 10px 50px;
	
	border: 4px solid #000;
	border-radius: 0;
	
	transition: all 0.3s linear;
	
	font-family: inherit;
	text-transform: uppercase;
	height: 70px;
}

ul#emma-form-elements .emma-form-input{
	border-radius:0px;
	width:auto!important;
	float:inherit;
}

input.cust-flyer-button:hover, input.cust-flyer-button:active, input.cust-flyer-button:focus {
	color: #fff !important;
	border: 4px solid #000;
	background-color: #000;
	
	outline-color: #fff;
}

ul#emma-form-elements .emma-form-input {
	height: 70px;
	border: 3px solid black;
	border-right: 0px;
}

.flyer-subscription-form input[type=email]:focus {
	outline-color: #fff;
}
/* End Emma Form Styling */

#masthead{
    background: url(https://marketstores.wpengine.com/wp-content/uploads/2018/01/Asset-1.png);
    background-size: cover;
    background-position: top;
}
nav.navbar.navbar-default{
	background-color:rgba(255,255,255,0.5);
}

.navbar.navbar-default {
	background-color: #fff;

	padding-top: 10px;
	padding-bottom: 10px;
	
	border-bottom: 1px solid #e0e0e0;
}

.post-inner-content {
	border: 0px !important;
	padding: 0px;
}

div.hp-shoponline-aux {
	background-color: #e90a8a;
	padding: 5px 30px 5px 30px;
}

.hp-auxlink {
	padding: 5px 10px 5px 10px;
	display: inline-block;
}

.hp-auxlink a {
	color: #fff;
}

#logo img {
	max-height: 135px;
	width: auto;
	margin-left: 15px;
	margin-top: 20px;
	margin-bottom: 20px;
}

.navbar-default .navbar-nav .current-menu-ancestor a.dropdown-toggle {
	color: #e80f8a;
}

.navbar-default .nav .current-menu-ancestor a.dropdown-toggle {
	color: #e80f8a;
}

.dropdown-menu>.active>a, .dropdown-menu>.active>a:hover, .dropdown-menu>.active>a:focus {
	background-color: #e80f8a;
}


.hp-aux-social-icon {
	height: 50px;
	width: 17px;
	
	display: inline-block;
	
	transition: all 0.2s ease 0s;
	-webkit-transition: all 0.2s ease 0s;
	-moz-transition: all 0.2s ease 0s;
	-o-transition: all 0.2s ease 0s;
}
/*
.hp-aux-social-icon:hover {
	background-position: 0px -50px;
}
*/

.hp-aux-social-icon-twitter {
	background-image: url(images/twitter50x50.png);
}
.hp-aux-social-icon-instagram {
	background-image: url(images/instagram50x50.png);
}

.hp-aux-social-icon-fb {
	background-image: url(images/fb50x50.png);
}

.header-social-location-bar {
	background-color: #000;
}

.header-social-location-bar-inner {
	text-align: right;
	color: #fff;
}

.locations-glyphicon {
	padding-left: 10px;
}

#aux-locations-row {
	color: #fff;
	overflow: hidden;
	
	transition: all 1s ease 0s;
	-webkit-transition: all 1s ease 0s;
	-moz-transition: all 1s ease 0s;
	-o-transition: all 1s ease 0s;
}

.aux-locations-row-collapsed {
	height: 0px;
}

.aux-locations-row-collapsed .aux-locations-container {
	color: #000 !important;
}

.aux-locations-row-expanded .aux-locations-container {
	color: #fff !important;
}

.aux-locations-row-expanded {
	height: 270px;
}

.aux-location-header {
	font-weight: bold;
	font-size: 16px;
}

#aux-locations-row a {
	color: #fff;
}

#aux-locations-row a:hover {
	text-decoration: underline;
}

.aux-locations-container {
	text-align: center;
	margin-top: 30px;
	
	transition: all 2s ease 0s;
	-webkit-transition: all 2s ease 0s;
	-moz-transition: all 2s ease 0s;
	-o-transition: all 2s ease 0s;
	
	font-size: 14px;
}

.aux-locations-row-collapsed .aux-locations-container:nth-of-type(1) {
	border-right: 1px solid #000;
}

.aux-locations-row-expanded .aux-locations-container:nth-of-type(1) {
	border-right: 1px solid #fff;
}

.hp-slide-leftside, .hp-slide-rightside {
	height: 500px;
	background-size: cover;
	background-position: top right;
}

.hp-slide-rightside {
	background-image: url(images/slate-bg.png);
	
	padding-left: 40px;
	padding-right: 40px;
	
	padding-top: 40px;
}

.hp-slide-rightside h1, .hp-slide-rightside p {
	color: #fff;
	text-align: center;
}

.hp-slide-rightside h1 {
	font-size: 50px;
}

.hp-slide-rightside p {
	font-size: 26px;
	margin-top: 40px;
}

.carousel-control.left, .carousel-control.right {
	background-image: none;
}

.carousel-control {
	width: 50px;
}

body.home .main-content-area {
	display: none;
}

.hp-container-fluid-carousel {
	padding-left: 0px;
	padding-right: 0px;
}

.cust-fancy-button {
	font-size: 24px;
	font-weight: bold;
	
	color: #fff;
	background: 0 0;
	
	padding: 10px 50px;
	
	border: 4px solid #fff;
	border-radius: 0;
	
	transition: all 0.3s linear;
	
	font-family: inherit;
	text-transform: uppercase;
}

.cust-fancy-button:hover {
	color: #e90a8a;
	border: 4px solid #fff;
	background-color: #fff;
}



.cust-slideshow-button {
	margin-top: 40px;
}

.no-right-margin {
	margin-right: 0px !important;
}

.navbar-default .navbar-nav > .active > a, .navbar-default .navbar-nav > .active > a:hover, .navbar-default .navbar-nav > .active > a:focus, .navbar-default .navbar-nav > li > a:hover, .navbar-default .navbar-nav > li > a:focus, .navbar-default .navbar-nav > .open > a, .navbar-default .navbar-nav > .open > a:hover, .navbar-default .navbar-nav > .open > a:focus {
	color: #e90a8a;
}

.navbar-default .nav > .active > a, .navbar-default .nav > .active > a:hover, .navbar-default .nav > .active > a:focus, .navbar-default .nav > li > a:hover, .navbar-default .nav > li > a:focus, .navbar-default .nav > .open > a, .navbar-default .nav > .open > a:hover, .navbar-default .nav > .open > a:focus {
	color: #e90a8a;
}


.nav>li>a:focus,
.nav>li>a:hover{
	padding:5pt 10pt;
	border-radius:4px;
}
.nav>li>a{
	padding:5pt 10pt!important;
	border-radius:4px!important;
}

.navbar-default .navbar-nav > li > a {
	color: #000;
}
.navbar-default .nav > li > a {
	color: #000;
}

.dropdown-menu > li > a:hover, .dropdown-menu > li > a:focus, .navbar-default .navbar-nav .open .dropdown-menu > li > a:hover, .navbar-default .navbar-nav .open .dropdown-menu > li > a:focus {
	background-color: #e90a8a;
}

.dropdown-menu > li > a:hover, .dropdown-menu > li > a:focus, .navbar-default .nav .open .dropdown-menu > li > a:hover, .navbar-default .nav .open .dropdown-menu > li > a:focus {
	background-color: #e90a8a;
}

.aux-link {
	height: 50px;
	padding: 0px;
	
	font-size: 14px;
	padding-top: 13px;
}

.aux-link a {
	color: #fff;
}

div.aux-social-links {
	padding-top: 0px;
}

.aux-shopping-cartglyph {
	padding-right: 10px;
}

footer#colophon {
	background-color: #000;
    padding-top: 50px;
    padding-bottom: 50px;
    border-top: 10px solid #782b7d;
}

#cust-footer-logo {
    max-width: 180px;
    margin-top: 15px;
}

.site-info h3 {
    color: #e90a8a;
}

ul#menu-footer-menu li {
    display: block;
}

ul#menu-footer-menu li a {
    padding: 0px;
	color: #999;
}

ul#menu-footer-menu ul.sub-menu {
    padding-left: 0px;
	color: #fff;
}

.footer-nav.nav {
	float: none;
}

.footer-power-by {
    margin-top: 40px;
    margin-bottom: 5px;
}

.footer-cust-affiliates {
	max-width: 150px;
	height: auto;
	margin-bottom: 10px;
}

.footer-cust-affiliates-first {
	margin-top: 20px;
}

.affiliates-container {
	text-align: right;
}

.footer-social-icon-container {
    text-align: center;
    margin-top: 30px;
    margin-bottom: 30px;
	
	display: none;
}

.social-icon-twitter {
    background-image: url(images/social-icon-twitter-original.png);
}

.social-icon-facebook {
    background-image: url(images/social-icon-facebook-original.png);
}

.footer-social-icon {
    height: 40px;
    width: 40px;
    transition: all 0.2s ease 0s;
    -webkit-transition: all 0.2s ease 0s;
    -moz-transition: all 0.2s ease 0s;
    -o-transition: all 0.2s ease 0s;
    display: inline-block;
}

.footer-social-icon:hover {
    background-position: 0px -40px;
}

.scroll-to-top:hover {
	background-color: #e90a8a;
}

.dropdown-menu {
	font-size: 14px;
	margin:0px;
}

.entry-header {
	text-align: center;
	position: relative;
	
	margin-top: 50px;
}

.entry-title {
	display: inline-block;
	padding: 0px 20px 0px 20px;
	background-color: white;
	z-index: 20;
	position: relative;
	
	margin-bottom: 10px;
	
	text-transform: uppercase;
}

.cust-title-line {
	position: absolute;
	
	top: 16px;
	left: 50%;
	transform: translate(-50%, -50%);
	
	border-top: 2px solid #e2e0de;
	
	width: 80%;
	z-index: 10;
}

a {
	color: #782b7d;
}

a:hover, a:focus {
	color: #e90a8a;
}

.page-content, .entry-content, .entry-summary {
	margin-top: 0px;
}

.hp-department-container {
	background-color: #1f1f1f;
	margin-bottom: 40px;

    box-shadow: 10px 10px 20px grey;

	padding-left: 0px;
	padding-right: 0px;
	padding-bottom: 20px;
}

.hp-dept-row {
	display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
}

.hp-department-container img:first-of-type {
	position: relative;
	width: 100%;
	height: auto;
	
	border-bottom: 1px solid #fff;
}

.hp-dept-title {
	color: #fff;
	text-align: center;
	margin-bottom: 0px;
	margin-top: 20px;
}

.contact-location-right h2 {
	font-size: 18px;
	color: #000;
}

.contact-location-right p {
	font-size: 16px;
}

.locations-divider {
	border-top: 1px solid #e0e0e0;
	margin: 40px 0px;
}

.location-get-directions-a {
	color: #000;
	font-weight: bold;
	font-size: 16px;
}

.location-get-directions-a span {
	margin-left: -3px;
	margin-right: 5px;
}

.location-get-directions-a:hover {
	text-decoration: underline;
}

.btn-default, .label-default, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt {
	background-color: #782b7d;
	border-color: #782b7d;
}

.btn-default:hover, .label-default[href]:hover, .label-default[href]:focus, .btn-default:hover, .btn-default:focus, .btn-default:active, .btn-default.active, #image-navigation .nav-previous a:hover, #image-navigation .nav-next a:hover, .woocommerce #respond input#submit:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover {
	background-color: #e90a8a;
	border-color: #e90a8a;
}

.slicon-user, .slicon-people, .slicon-user-female, .slicon-user-follow, .slicon-user-following, .slicon-user-unfollow, .slicon-login, .slicon-logout, .slicon-emotsmile, .slicon-phone, .slicon-call-end, .slicon-call-in, .slicon-call-out, .slicon-map, .slicon-location-pin, .slicon-direction, .slicon-directions, .slicon-compass, .slicon-layers, .slicon-menu, .slicon-list, .slicon-options-vertical, .slicon-options, .slicon-arrow-down, .slicon-arrow-left, .slicon-arrow-right, .slicon-arrow-up, .slicon-arrow-up-circle, .slicon-arrow-left-circle, .slicon-arrow-right-circle, .slicon-arrow-down-circle, .slicon-check, .slicon-clock, .slicon-plus, .slicon-close, .slicon-trophy, .slicon-screen-smartphone, .slicon-screen-desktop, .slicon-plane, .slicon-notebook, .slicon-mustache, .slicon-mouse, .slicon-magnet, .slicon-energy, .slicon-disc, .slicon-cursor, .slicon-cursor-move, .slicon-crop, .slicon-chemistry, .slicon-speedometer, .slicon-shield, .slicon-screen-tablet, .slicon-magic-wand, .slicon-hourglass, .slicon-graduation, .slicon-ghost, .slicon-game-controller, .slicon-fire, .slicon-eyeglass, .slicon-envelope-open, .slicon-envelope-letter, .slicon-bell, .slicon-badge, .slicon-anchor, .slicon-wallet, .slicon-vector, .slicon-speech, .slicon-puzzle, .slicon-printer, .slicon-present, .slicon-playlist, .slicon-pin, .slicon-picture, .slicon-handbag, .slicon-globe-alt, .slicon-globe, .slicon-folder-alt, .slicon-folder, .slicon-film, .slicon-feed, .slicon-drop, .slicon-drawar, .slicon-docs, .slicon-doc, .slicon-diamond, .slicon-cup, .slicon-calculator, .slicon-bubbles, .slicon-briefcase, .slicon-book-open, .slicon-basket-loaded, .slicon-basket, .slicon-bag, .slicon-action-undo, .slicon-action-redo, .slicon-wrench, .slicon-umbrella, .slicon-trash, .slicon-tag, .slicon-support, .slicon-frame, .slicon-size-fullscreen, .slicon-size-actual, .slicon-shuffle, .slicon-share-alt, .slicon-share, .slicon-rocket, .slicon-question, .slicon-pie-chart, .slicon-pencil, .slicon-note, .slicon-loop, .slicon-home, .slicon-grid, .slicon-graph, .slicon-microphone, .slicon-music-tone-alt, .slicon-music-tone, .slicon-earphones-alt, .slicon-earphones, .slicon-equalizer, .slicon-like, .slicon-dislike, .slicon-control-start, .slicon-control-rewind, .slicon-control-play, .slicon-control-pause, .slicon-control-forward, .slicon-control-end, .slicon-volume-1, .slicon-volume-2, .slicon-volume-off, .slicon-calendar, .slicon-bulb, .slicon-chart, .slicon-ban, .slicon-bubble, .slicon-camrecorder, .slicon-camera, .slicon-cloud-download, .slicon-cloud-upload, .slicon-envelope, .slicon-eye, .slicon-flag, .slicon-heart, .slicon-info, .slicon-key, .slicon-link, .slicon-lock, .slicon-lock-open, .slicon-magnifier, .slicon-magnifier-add, .slicon-magnifier-remove, .slicon-paper-clip, .slicon-paper-plane, .slicon-power, .slicon-refresh, .slicon-reload, .slicon-settings, .slicon-star, .slicon-symble-female, .slicon-symbol-male, .slicon-target, .slicon-credit-card, .slicon-paypal, .slicon-social-tumblr, .slicon-social-twitter, .slicon-social-facebook, .slicon-social-instagram, .slicon-social-linkedin, .slicon-social-pinterest, .slicon-social-github, .slicon-social-gplus, .slicon-social-reddit, .slicon-social-skype, .slicon-social-dribbble, .slicon-social-behance, .slicon-social-foursqare, .slicon-social-soundcloud, .slicon-social-spotify, .slicon-social-stumbleupon, .slicon-social-youtube, .slicon-social-dropbox {
	color: #782b7d;
}

.pdf-light-viewer .pdf-light-viewer-magazine-thumbnails .bx-wrapper .bx-pager a.active {
	background: #782b7d !important;
}

input {
	max-width: 100%;
}

.flyer-subscription-form {
	text-align: center;
}

.flyer-subscription-form span.wpcf7-not-valid-tip {
    display: none;
}

div.wpcf7-validation-errors {
    border: 0px;
    color: red;
}

body.home div.wpcf7-validation-errors {
	background-color: #fff;
}

div.wpcf7-mail-sent-ok {
    border: 0px;
	color: green;
}


div.container-fluid div.container {
	padding-left: 0px;
	padding-right: 0px;
}

.department-row {
	background-color: #f7f7f7;
}

.department-row h1 {
	background-color: #f7f7f7;
}

.social-media-row {
	background-color: #fff;
}

.hp-weekly-flyer-row {
/* 	background-image: url(images/slate-bg.png); */
	background-image: url(images/vegetables-darker.png);
	background-size: cover;
	background-position: top center;
}

.hp-weekly-flyer-row h1 {
	background-color: transparent;
	color: #fff;
}

.home-padding-bot {
	padding-bottom: 50px;
}

.shop-online-banner-area {
	background-color: #000;
	margin-top: 40px; 
	margin-bottom: 50px;
	text-align: center;
}

.shop-online-banner-area img {
	display: inline-block;
}

.shop-online-banner-area h2 {
	display: inline-block;
	color: #fff;
}

.header-container{
	display:flex;
	align-items:center;
	justify-content:space-evenly;
}
.header-container>div>h1{
	align-self:center;
	font-size:8rem;
	color:#e90a8a;
}


/* --------- MEDIA QUERIES --------- */

@media (min-width: 768px) {
	.site-navigation-inner {
		padding-right: 0px;
		padding-left: 0px;
	}
	
	.nav>li>a {
		padding-right: 0px;
		padding-left: 0px;
	}
	
	.navbar-default .navbar-nav > li > a {
		font-size: 16px;
		font-weight: bold;
	}
	.navbar-default .nav > li > a {
		font-size: 16px;
		font-weight: bold;
	}
	
	ul#menu-main-menu {
		float: none;
		clear: left;
		
		display: -webkit-box;
		display: -ms-flexbox;
		display: flex;
		-webkit-box-pack: justify;
		-ms-flex-pack: justify;
		justify-content: space-between;
		
		padding-left: 0px;
	}
	
	.navbar-nav>li {
		float: none;
		display: block;
	}
	
	.dropdown-menu > li > a {
		color: #fff;
	}
	
	.dropdown-menu {
		background-color: #000;
	}
	
	.contact-location-right h2 {
		margin-top: 0px;
	}
}

@media (max-width: 1297px) {
	.hp-slide-rightside h1 {
		font-size: 40px;
	}
	
	.hp-slide-rightside p {
		font-size: 24px;
		margin-top: 40px;
	}
	
	.cust-slideshow-button {
		font-size: 22px;
	}
}



@media (max-width: 1067px) {
	.hp-slide-rightside h1 {
		font-size: 30px;
	}
	
	.hp-slide-rightside p {
		font-size: 20px;
		margin-top: 40px;
	}
	
	.cust-slideshow-button {
		font-size: 20px;
	}
}

@media (max-width: 815px) {
	.aux-link{
		padding:13px 13px;
	}
	.hp-slide-rightside h1 {
		font-size: 26px;
	}
	
	.hp-slide-rightside p {
		font-size: 20px;
		margin-top: 40px;
	}
	
	.cust-slideshow-button {
		font-size: 16px;
	}
}


@media (max-width: 991px) {
	.header-container>div>h1{
		align-self:center;
		font-size:5rem;
		color:#e90a8a;
	}
	.affiliates-container a {
		display: block;
		text-align: center;
	}
	
	.cust-footer-logo-container {
		text-align: center;
	}
	
	#cust-footer-logo {
		margin-left: 20px;
		margin-bottom: 20px;
	}
}
@media (min-width:768px){
	ul#emma-form-elements .emma-form-input{
	border-radius:0px;
	width:auto!important;
	float:right!important;
}
}
@media (max-width: 767px) {
	.header-container>#header-text{
		display:none!important;
	}
	.navbar-default .navbar-nav .open .dropdown-menu > li > a {
		color: #000;
	}
	
	ul#menu-main-menu {
		list-style: none;
		padding-left: 0px;
	}
	
	.navbar-default .navbar-nav > li > a {
		font-size: 16px;
		padding-left: 0px;
		display: block;
		font-weight: bold;
	}
	
	.navbar-header {
		text-align: center;
	}
	
	
	.navbar-toggle {
		float: none;
		margin-top: 30px;
		margin-bottom: 20px;
	}
	
	.hp-slide-leftside {
		height: 300px;
	}
	
	.hp-slide-rightside {
		padding: 40px 40px 60px 40px;
		height: auto;
	}
	
	div.aux-locations-row-expanded {
		height: 500px;
	}
	
	.aux-locations-row-expanded .aux-locations-container:nth-of-type(1) {
		border-right: 0px;
	}
	
	.navbar-default .navbar-nav .open .dropdown-menu>.active>a, .navbar-default .navbar-nav .open .dropdown-menu>.active>a:focus, .navbar-default .navbar-nav .open .dropdown-menu>.active>a:hover {
		background-color: #e80f8a;
	}
	
	.hp-dept-row {
		text-align: center;
	}
	
	.hp-department-container {
		max-width: 500px;
		display: inline-block;
	}
	
	.contact-location-right {
		text-align: center;
	}
	
	.flyer-subscription-form {
		padding-left: 15px;
		padding-right: 15px;
	}
	ul#emma-form-elements {
		margin:auto;
		width:90%!important;
		flex-wrap:wrap;
	}
	
	ul#emma-form-elements .emma-form-input {
		border-right: 3px solid black;
		margin: 0px auto;
		float:none!important;
	}
	
	ul#emma-form-elements .emma-form-input, #emma-form input[type="submit"], #emma-form a#emma-form-submit {
		float:none;
		max-width: 500px;
		margin: 0px auto;
		display: block;
		width: 100%!important;
		height:50px;
		font-size:15px;
	}
}